﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MDR_constraint.sql **/
 EXEC P_ALTERPK 'PK_MDR_CUST_STANDARD', 'T_MDR_CUST_STANDARD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MDR_CUSTCTD_FNO') CREATE INDEX IDX_MDR_CUSTCTD_FNO ON T_MDR_CUST_STANDARD ( FNUMBER );


 EXEC P_ALTERPK 'PK_MDR_CUST_STANDARD_L', 'T_MDR_CUST_STANDARD_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MDR_CUSTSTANDARD_FIDFLID') CREATE INDEX IDX_MDR_CUSTSTANDARD_FIDFLID ON T_MDR_CUST_STANDARD_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MDR_CUSTSTANDARD_FNAME') CREATE INDEX IDX_MDR_CUSTSTANDARD_FNAME ON T_MDR_CUST_STANDARD_L ( FNAME );


 EXEC P_ALTERPK 'PK_MDR_CUST_STANDARDEXC', 'T_MDR_CUST_STANDARDEXC', 'FDATAID,FUSEORGID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MDR_CUSTSTANDARDEXC_UO') CREATE INDEX IDX_MDR_CUSTSTANDARDEXC_UO ON T_MDR_CUST_STANDARDEXC ( FUSEORGID );


 EXEC P_ALTERPK 'PK_MDR_CUST_STANDARDUSEREG', 'T_MDR_CUST_STANDARDUSEREG', 'FUSEORGID,FDATAID', '1';

 IF EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MDR_CUSTSTANDUSEREG_CO')  DROP INDEX T_MDR_CUST_STANDARDUSEREG.IDX_MDR_CUSTSTANDUSEREG_CO; 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MDR_CUSTSTANDUSEREG_CO') CREATE INDEX IDX_MDR_CUSTSTANDUSEREG_CO ON T_MDR_CUST_STANDARDUSEREG ( FCREATEORGID );


 EXEC P_ALTERPK 'PK_MDR_CUSTOMER_CLASS', 'T_MDR_CUSTOMER_CLASS', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MDR_CUSTOMER_CLASS_GROUP') CREATE INDEX IDX_MDR_CUSTOMER_CLASS_GROUP ON T_MDR_CUSTOMER_CLASS ( FCUSTOMERGROUPID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MDR_CUSTOMER_CLASS_CUST') CREATE INDEX IDX_MDR_CUSTOMER_CLASS_CUST ON T_MDR_CUSTOMER_CLASS ( FCUSTOMERID );


 EXEC P_ALTERPK 'PK_MDR_CUSTOMER_FUNCTION', 'T_MDR_CUSTOMER_FUNCTION', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MDR_CUST_FUNC_NUM') CREATE INDEX IDX_MDR_CUST_FUNC_NUM ON T_MDR_CUSTOMER_FUNCTION ( FNUMBER );


 EXEC P_ALTERPK 'PK_MDR_CUSTOMER_FUNCTION_L', 'T_MDR_CUSTOMER_FUNCTION_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MDR_CFL_FIDFLID') CREATE INDEX IDX_MDR_CFL_FIDFLID ON T_MDR_CUSTOMER_FUNCTION_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MDR_CFL_FNAME') CREATE INDEX IDX_MDR_CFL_FNAME ON T_MDR_CUSTOMER_FUNCTION_L ( FNAME );


 EXEC P_ALTERPK 'PK_T_MDR_CUSTOMER_FUNCTIONS', 'T_MDR_CUSTOMER_FUNCTIONS', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MDR_CUSTFUNS') CREATE INDEX IDX_MDR_CUSTFUNS ON T_MDR_CUSTOMER_FUNCTIONS ( FCUSTOMERID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_MDR_CUSTOMER_SAPPLY', 'T_MDR_CUSTOMER_SAPPLY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MDR_CUSTOMER_SAPPLY_ANUM') CREATE INDEX IDX_MDR_CUSTOMER_SAPPLY_ANUM ON T_MDR_CUSTOMER_SAPPLY ( FAPPLYNUMBER );


 EXEC P_ALTERPK 'PK_MDR_CUSTOMER_TYPE', 'T_MDR_CUSTOMER_TYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MDR_CUSTOMER_TYPE_NUM') CREATE INDEX IDX_MDR_CUSTOMER_TYPE_NUM ON T_MDR_CUSTOMER_TYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_MDR_CUSTOMER_TYPE_L', 'T_MDR_CUSTOMER_TYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MDR_CTL_FIDFLID') CREATE INDEX IDX_MDR_CTL_FIDFLID ON T_MDR_CUSTOMER_TYPE_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MDR_CTL_FNAME') CREATE INDEX IDX_MDR_CTL_FNAME ON T_MDR_CUSTOMER_TYPE_L ( FNAME );


 EXEC P_ALTERPK 'PK_MDR_CUSTOMER_TYPEEXC', 'T_MDR_CUSTOMER_TYPEEXC', 'FDATAID,FUSEORGID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MDR_CTEXC_UO') CREATE INDEX IDX_MDR_CTEXC_UO ON T_MDR_CUSTOMER_TYPEEXC ( FUSEORGID );


 EXEC P_ALTERPK 'PK_MDR_CUSTOMER_TYPEUSEREG', 'T_MDR_CUSTOMER_TYPEUSEREG', 'FUSEORGID,FDATAID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MDR_CTUSEREG') CREATE INDEX IDX_MDR_CTUSEREG ON T_MDR_CUSTOMER_TYPEUSEREG ( FCREATEORGID );


 EXEC P_ALTERPK 'PK_T_MDR_CUSTOMER_X', 'T_MDR_CUSTOMER_X', 'FCUSTOMERID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MDR_CUSTOMERX_LONGID') CREATE INDEX IDX_MDR_CUSTOMERX_LONGID ON T_MDR_CUSTOMER_X ( FLONGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MDR_CUSTOMER_LONGNUMBER') CREATE INDEX IDX_MDR_CUSTOMER_LONGNUMBER ON T_MDR_CUSTOMER_X ( FLONGNUMBER );


 EXEC P_ALTERPK 'PK_MDR_CUSTOMERGRADEEXC', 'T_MDR_CUSTOMERGRADEEXC', 'FDATAID,FUSEORGID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MDR_CUSTOMERGRADEEXC_UO') CREATE INDEX IDX_MDR_CUSTOMERGRADEEXC_UO ON T_MDR_CUSTOMERGRADEEXC ( FUSEORGID );


 EXEC P_ALTERPK 'PK_MDR_CUSTOMERGRADEUSEREG', 'T_MDR_CUSTOMERGRADEUSEREG', 'FUSEORGID,FDATAID', '1';

 IF EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MDR_CUSTOMERGRADEUSEREG_CO') DROP INDEX T_MDR_CUSTOMERGRADEUSEREG.IDX_MDR_CUSTOMERGRADEUSEREG_CO; 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MDR_CUSTOMERGRADEUSEREG_CO') CREATE INDEX IDX_MDR_CUSTOMERGRADEUSEREG_CO ON T_MDR_CUSTOMERGRADEUSEREG ( FCREATEORGID );
 

 EXEC P_ALTERPK 'PK_MDR_CUSTOMERUSEREG', 'T_MDR_CUSTOMERUSEREG', 'FUSEORGID,FDATAID', '1';

 --修复不知道哪里创建的错误索引
 IF EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_t_mdr_customerUseReg_CO') DROP INDEX T_MDR_CUSTOMERUSEREG.IDX_t_mdr_customerUseReg_CO;
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MDR_CUSTOMERUSEREG_CO') CREATE INDEX IDX_MDR_CUSTOMERUSEREG_CO ON T_MDR_CUSTOMERUSEREG ( FCREATEORGID );


EXEC p_DropIdx 'IDX_MDR_CSA_FSALSER', 'T_MDR_CUST_SALER_RE';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MDR_CSA_FSALSER') CREATE INDEX IDX_MDR_CSA_FSALSER ON T_MDR_CUST_SALER_RE ( FSALER ,FOWNER );

EXEC p_DropIdx 'IDX_MDR_ITEM_FOWNER', 'T_MDR_ITEM';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MDR_ITEM_FOWNER') CREATE INDEX IDX_MDR_ITEM_FOWNER ON T_MDR_ITEM ( FOWNER ,FISONSELL );

EXEC P_ALTERPK 'PK_MDR_CUSTOMER_AUTHORIZEEXC', 'T_MDR_CUSTOMER_AUTHORIZEEXC', 'FDataID,FUseOrgID', '1';

EXEC P_ALTERPK 'PK_MDR_CUSTOMEREXC', 'T_MDR_CUSTOMEREXC', 'FDataID,FUseOrgID', '1';
/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MDR_constraint.sql **/
