﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MDR_table.sql **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MDR_ITEM_C') 
 CREATE TABLE T_MDR_ITEM_C (
FID BIGINT DEFAULT 0 NOT NULL,
FSTOCKUNITID BIGINT DEFAULT 0 NOT NULL,
FENABLESERIAL CHAR(1) DEFAULT '0' NOT NULL,
FONLYOUTANDINREQUEST CHAR(1) DEFAULT '0' NOT NULL,
FSERIALUNITID BIGINT DEFAULT 0 NOT NULL,
FENABLELOT CHAR(1) DEFAULT '0' NOT NULL,
FORDERUNITID BIGINT DEFAULT 0 NOT NULL,
FMINORDERQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORDERBATCHQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRETAILUNITID BIGINT DEFAULT 0 NOT NULL,
FBARCODEID BIGINT DEFAULT 0 NOT NULL,
FBARCODENUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FRETAILPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMEMBERPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSALETYPE CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MDR_ITEM_L' AND KSQL_COL_NAME ='FREMARK') 
 ALTER TABLE T_MDR_ITEM_L ADD (FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MDR_ITEM_L' AND KSQL_COL_NAME ='FSHORTTITLE') 
 ALTER TABLE T_MDR_ITEM_L ADD (FSHORTTITLE NVARCHAR(510) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MDR_ITEM_S' AND KSQL_COL_NAME ='FAPPROVERID') 
 ALTER TABLE T_MDR_ITEM_S ADD (FAPPROVERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MDR_ITEM_S' AND KSQL_COL_NAME ='FAPPROVEDATE') 
 ALTER TABLE T_MDR_ITEM_S ADD (FAPPROVEDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MDR_ITEM_S' AND KSQL_COL_NAME ='FDISABLERID') 
 ALTER TABLE T_MDR_ITEM_S ADD (FDISABLERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MDR_ITEM_S' AND KSQL_COL_NAME ='FDISABLEDATE') 
 ALTER TABLE T_MDR_ITEM_S ADD (FDISABLEDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MDR_ITEM' AND KSQL_COL_NAME ='FTAXCLASSCODEID') 
 ALTER TABLE T_MDR_ITEM ADD (FTAXCLASSCODEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MDR_ITEM' AND KSQL_COL_NAME ='FGOODSBELONG') 
 ALTER TABLE T_MDR_ITEM ADD (FGOODSBELONG CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MDR_ITEM' AND KSQL_COL_NAME ='FITEMTYPEID') 
 ALTER TABLE T_MDR_ITEM ADD (FITEMTYPEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MDR_ITEM' AND KSQL_COL_NAME ='FNAME') 
 ALTER TABLE T_MDR_ITEM ADD (FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MDR_ITEM' AND KSQL_COL_NAME ='FMULTIDESCRIPTION') 
 ALTER TABLE T_MDR_ITEM ADD (FMULTIDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MDR_ITEM' AND KSQL_COL_NAME ='FMODELNUM') 
 ALTER TABLE T_MDR_ITEM ADD (FMODELNUM NVARCHAR(100) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MDR_DELIVERYDETAIL' AND KSQL_COL_NAME ='FBASEUNIT') 
 ALTER TABLE T_MDR_DELIVERYDETAIL ADD (FBASEUNIT BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MDR_DELIVERYDETAIL' AND KSQL_COL_NAME ='FDELIVERBASEQTY') 
 ALTER TABLE T_MDR_DELIVERYDETAIL ADD (FDELIVERBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MDR_ITEMEXC') 
 CREATE TABLE T_MDR_ITEMEXC (
FDATAID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MDR_ITEMUSEREG') 
 CREATE TABLE T_MDR_ITEMUSEREG (
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FDATAID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(10) DEFAULT ' ' NOT NULL,
FISASSIGN CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MDR_ITEMCLASSENTRY') 
 CREATE TABLE T_MDR_ITEMCLASSENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCLASSSTANDARDID BIGINT DEFAULT 0 NOT NULL,
FGOODSCLASSID BIGINT DEFAULT 0 NOT NULL
);


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MDR_table.sql **/
