﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MDR_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MDR_CUST_STANDARD') 
 CREATE TABLE T_MDR_CUST_STANDARD (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FISPRESET CHAR(1) DEFAULT '0' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCTRLSTRATEGY NVARCHAR(10) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MDR_CUST_STANDARD_L') 
 CREATE TABLE T_MDR_CUST_STANDARD_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(100) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MDR_CUST_STANDARDEXC') 
 CREATE TABLE T_MDR_CUST_STANDARDEXC (
FDATAID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MDR_CUST_STANDARDUSEREG') 
 CREATE TABLE T_MDR_CUST_STANDARDUSEREG (
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FDATAID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(10) DEFAULT ' ' NOT NULL,
FISASSIGN CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MDR_CUSTOMER_CLASS') 
 CREATE TABLE T_MDR_CUSTOMER_CLASS (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCLASSSTANDARDID BIGINT DEFAULT 0 NOT NULL,
FCUSTOMERGROUPID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MDR_CUSTOMER_FUNCTION') 
 CREATE TABLE T_MDR_CUSTOMER_FUNCTION (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(60) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FDISABLEDATE DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MDR_CUSTOMER_FUNCTION_L') 
 CREATE TABLE T_MDR_CUSTOMER_FUNCTION_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MDR_CUSTOMER_FUNCTIONS') 
 CREATE TABLE T_MDR_CUSTOMER_FUNCTIONS (
FPKID BIGINT DEFAULT 0 NOT NULL,
FCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MDR_CUSTOMER_SAPPLY') 
 CREATE TABLE T_MDR_CUSTOMER_SAPPLY (
FID BIGINT DEFAULT 0 NOT NULL,
FAPPLYNAME NVARCHAR(20) DEFAULT ' ' NOT NULL,
FAPPLYNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCLASSSTANDARDID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MDR_CUSTOMER_TYPE') 
 CREATE TABLE T_MDR_CUSTOMER_TYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(60) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY CHAR(1) DEFAULT '5' NOT NULL,
FTYPEID CHAR(1) DEFAULT 'Z' NOT NULL,
FISSTORE CHAR(1) DEFAULT '0' NOT NULL,
FISINSIDEORG CHAR(1) DEFAULT '0' NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MDR_CUSTOMER_TYPE_L') 
 CREATE TABLE T_MDR_CUSTOMER_TYPE_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MDR_CUSTOMER_TYPEEXC') 
 CREATE TABLE T_MDR_CUSTOMER_TYPEEXC (
FDATAID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MDR_CUSTOMER_TYPEUSEREG') 
 CREATE TABLE T_MDR_CUSTOMER_TYPEUSEREG (
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FDATAID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(10) DEFAULT ' ' NOT NULL,
FISASSIGN CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MDR_CUSTOMER_X') 
 CREATE TABLE T_MDR_CUSTOMER_X (
FCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FLONGID NVARCHAR(500) DEFAULT ' ' NOT NULL,
FLONGNUMBER NVARCHAR(500) DEFAULT ' ' NOT NULL,
FCUSTOMERTYPEID BIGINT DEFAULT 0 NOT NULL,
FCUSTOMERPROPERTY CHAR(1) DEFAULT 'A' NOT NULL,
FPARENTCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FSALEORGID BIGINT DEFAULT 0 NOT NULL,
FBDCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FLEGALCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FCOMPANYCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FISSTORE CHAR(1) DEFAULT '0' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FORDERBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FRETURNBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FORDERCONTROLTYPE CHAR(1) DEFAULT 'A' NOT NULL,
FRETURNCONTROLTYPE CHAR(1) DEFAULT 'A' NOT NULL,
FORDERCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FBALANCECUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FRECEIVECUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FPAYCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FSALECONTROLMODE CHAR(1) DEFAULT 'A' NOT NULL,
FBILLCONTROLMODE CHAR(1) DEFAULT 'A' NOT NULL,
FISNEGATIVEINVENTORY CHAR(1) DEFAULT '0' NOT NULL,
FINVCONTROLMODE CHAR(1) DEFAULT 'A' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MDR_CUSTOMERGRADEEXC') 
 CREATE TABLE T_MDR_CUSTOMERGRADEEXC (
FDATAID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MDR_CUSTOMERGRADEUSEREG') 
 CREATE TABLE T_MDR_CUSTOMERGRADEUSEREG (
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FDATAID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(10) DEFAULT ' ' NOT NULL,
FISASSIGN CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MDR_CUSTOMERUSEREG') 
 CREATE TABLE T_MDR_CUSTOMERUSEREG (
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FDATAID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(10) DEFAULT ' ' NOT NULL,
FISASSIGN CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MDR_CUSTOMERGRADE' AND KSQL_COL_NAME ='FCREATEORGID') 
 ALTER TABLE T_MDR_CUSTOMERGRADE ADD (FCREATEORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MDR_CUSTOMERGRADE' AND KSQL_COL_NAME ='FCTRLSTRATEGY') 
 ALTER TABLE T_MDR_CUSTOMERGRADE ADD (FCTRLSTRATEGY VARCHAR(10) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MDR_CUSTOMERGRADE' AND KSQL_COL_NAME ='FORGID') 
 ALTER TABLE T_MDR_CUSTOMERGRADE ADD (FORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MDR_CUSTOMERGRADE' AND KSQL_COL_NAME ='FHUNDREDRATE') 
 ALTER TABLE T_MDR_CUSTOMERGRADE ADD (FHUNDREDRATE DECIMAL(19,6) DEFAULT 1 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MDR_CUSTOMERGROUP' AND KSQL_COL_NAME ='FSTANDARDID') 
 ALTER TABLE T_MDR_CUSTOMERGROUP ADD (FSTANDARDID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MDR_CUSTOMER' AND KSQL_COL_NAME ='FSTATUS') 
 ALTER TABLE T_MDR_CUSTOMER ADD (FSTATUS CHAR(1) DEFAULT 'A' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MDR_CUSTOMER' AND KSQL_COL_NAME ='FID') 
 ALTER TABLE T_MDR_CUSTOMER ADD (FID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MDR_CUSTOMER_AUTHORIZE' AND KSQL_COL_NAME ='FHUNDREDRATE') 
 ALTER TABLE T_MDR_CUSTOMER_AUTHORIZE ADD (FHUNDREDRATE DECIMAL(19,6) DEFAULT 0 NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MDR_table.sql **/
