﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MDR_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MDR_RETURNORDER_ENTRY_X') 
 CREATE TABLE T_MDR_RETURNORDER_ENTRY_X (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTITY NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSRCBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FMAINBILLENTITY NVARCHAR(80) DEFAULT ' ' NOT NULL,
FMAINBILLID BIGINT DEFAULT 0 NOT NULL,
FMAINBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FMAINBILLNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FMAINBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FSUMSALERETURNASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMSALERETURNBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMSALERETURNQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJOINSALERETURNASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJOINSALERETURNBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJOINSALERETURNQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MDR_RETURNORDER_ENTRY' AND KSQL_COL_NAME ='FISPRESENT') 
 ALTER TABLE T_MDR_RETURNORDER_ENTRY ADD (FISPRESENT CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MDR_RETURNORDER_ENTRY' AND KSQL_COL_NAME ='FMATERIALID') 
 ALTER TABLE T_MDR_RETURNORDER_ENTRY ADD (FMATERIALID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MDR_RETURNORDER_ENTRY' AND KSQL_COL_NAME ='FTAXRATE') 
 ALTER TABLE T_MDR_RETURNORDER_ENTRY ADD (FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MDR_RETURNORDER_ENTRY' AND KSQL_COL_NAME ='FTAXPRICE') 
 ALTER TABLE T_MDR_RETURNORDER_ENTRY ADD (FTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MDR_RETURNORDER_ENTRY' AND KSQL_COL_NAME ='FTAXAMOUNT') 
 ALTER TABLE T_MDR_RETURNORDER_ENTRY ADD (FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MDR_RETURNORDER_ENTRY' AND KSQL_COL_NAME ='FDISCOUNTTYPE') 
 ALTER TABLE T_MDR_RETURNORDER_ENTRY ADD (FDISCOUNTTYPE CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MDR_RETURNORDER_ENTRY' AND KSQL_COL_NAME ='FDISCOUNT') 
 ALTER TABLE T_MDR_RETURNORDER_ENTRY ADD (FDISCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MDR_RETURNORDER_ENTRY' AND KSQL_COL_NAME ='FDISCOUNTAMOUNT') 
 ALTER TABLE T_MDR_RETURNORDER_ENTRY ADD (FDISCOUNTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MDR_RETURNORDER_ENTRY' AND KSQL_COL_NAME ='FAMOUNTANDTAX') 
 ALTER TABLE T_MDR_RETURNORDER_ENTRY ADD (FAMOUNTANDTAX DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MDR_RETURNORDER_ENTRY' AND KSQL_COL_NAME ='FSTOCKORGID') 
 ALTER TABLE T_MDR_RETURNORDER_ENTRY ADD (FSTOCKORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MDR_RETURNORDER_ENTRY' AND KSQL_COL_NAME ='FSTOCKID') 
 ALTER TABLE T_MDR_RETURNORDER_ENTRY ADD (FSTOCKID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MDR_RETURNORDER' AND KSQL_COL_NAME ='FBILLTYPEID') 
 ALTER TABLE T_MDR_RETURNORDER ADD (FBILLTYPEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MDR_RETURNORDER' AND KSQL_COL_NAME ='FRETURNSTATUS') 
 ALTER TABLE T_MDR_RETURNORDER ADD (FRETURNSTATUS CHAR(1) DEFAULT 'A' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MDR_RETURNORDER' AND KSQL_COL_NAME ='FENQUIRYCHANNELID') 
 ALTER TABLE T_MDR_RETURNORDER ADD (FENQUIRYCHANNELID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MDR_RETURNORDER' AND KSQL_COL_NAME ='FPAYCHANNELID') 
 ALTER TABLE T_MDR_RETURNORDER ADD (FPAYCHANNELID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MDR_RETURNORDER' AND KSQL_COL_NAME ='FBALANCECHANNELID') 
 ALTER TABLE T_MDR_RETURNORDER ADD (FBALANCECHANNELID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MDR_RETURNORDER' AND KSQL_COL_NAME ='FSALEORGID') 
 ALTER TABLE T_MDR_RETURNORDER ADD (FSALEORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MDR_RETURNORDER' AND KSQL_COL_NAME ='FHASTAX') 
 ALTER TABLE T_MDR_RETURNORDER ADD (FHASTAX CHAR(1) DEFAULT '1' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MDR_RETURNORDER' AND KSQL_COL_NAME ='FCONSIGNEEFIXEDTEL') 
 ALTER TABLE T_MDR_RETURNORDER ADD (FCONSIGNEEFIXEDTEL VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MDR_RETURNORDER' AND KSQL_COL_NAME ='FAREAID') 
 ALTER TABLE T_MDR_RETURNORDER ADD (FAREAID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MDR_RETURNORDER' AND KSQL_COL_NAME ='FEXCHANGERATE') 
 ALTER TABLE T_MDR_RETURNORDER ADD (FEXCHANGERATE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MDR_RETURNORDER' AND KSQL_COL_NAME ='FEXRATETABLEID') 
 ALTER TABLE T_MDR_RETURNORDER ADD (FEXRATETABLEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MDR_RETURNORDER' AND KSQL_COL_NAME ='FLOCALCURRENCYID') 
 ALTER TABLE T_MDR_RETURNORDER ADD (FLOCALCURRENCYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MDR_RETURNORDER' AND KSQL_COL_NAME ='FTOTALAMOUNTANDTAX') 
 ALTER TABLE T_MDR_RETURNORDER ADD (FTOTALAMOUNTANDTAX DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MDR_RETURNORDER' AND KSQL_COL_NAME ='FTOTALTAXAMOUNT') 
 ALTER TABLE T_MDR_RETURNORDER ADD (FTOTALTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MDR_RETURNORDER' AND KSQL_COL_NAME ='FTOTALAMOUNT') 
 ALTER TABLE T_MDR_RETURNORDER ADD (FTOTALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MDR_table.sql **/
